Tasks
Get all Tasks for a Business
Scopes: request:read
GET
/
v0
/
business
/
{business_id}
/
task
Get all Tasks for a Business
curl --request GET \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/task \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/task"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"tasks": [
{
"business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",
"status": "pending",
"task_type": "reconnect_account",
"id": "tsk_R2fAXCjqJPdpYata112zyW",
"created_at": "2023-11-07T05:31:56Z",
"description": "ABC Business Checking",
"resolver": "business",
"first_requested_at": "2023-11-07T05:31:56Z",
"last_requested_at": "2023-11-07T05:31:56Z",
"month": "2025-01"
}
],
"counts": [
{
"task_type": "categorize_transaction",
"count": 123
}
]
},
"pagination": {
"next_page_token": "<string>",
"previous_page_token": "<string>"
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The id of the business
Example:
"biz_GA6EG2qFxA97NZHtxeLPUy"
Query Parameters
Filter tasks by status. Defaults to pending
Available options:
pending, completed Filter tasks by type. Supports multiple values.
Available options:
reconnect_account, categorize_transaction, review_personal_transaction, other, request_receipt, request_statement, request_other_document, request_payroll, review_transactions, reconciliation The page token to for the next or previous page
Required range:
1 <= x <= 100⌘I
Get all Tasks for a Business
